uk.gov.hmrc.mongo

# lock

#### package lock

Visibility

1. Public
2. All

### Type Members

1. #### class CurrentTimestampSupport extends TimestampSupport

   Annotations
     @Singleton()

2. #### case class Lock(id: String, owner: String, timeCreated: LocalDateTime, expiryTime: LocalDateTime) extends Product with Serializable

3. #### class MongoLockRepository extends PlayMongoCollection[Lock]

   Annotations
     @Singleton()

4. #### trait MongoLockService extends AnyRef

5. #### trait TimestampSupport extends AnyRef

   Annotations
     @ImplementedBy()

### Value Members

1. #### object Lock extends Serializable

2. #### object MongoLockService

### Ungrouped